/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package mavenjson;

import java.util.ArrayList;
import java.util.List;
import org.json.JSONArray;
import org.json.JSONObject;

/**
 *
 * @author :)
 */
public class Szemely {

    public final static String CSOMOPONT_NEV = "szemely";
    public final static String ELNEVEZES_NEV = "nev";
    public final static String SZUL_EV_NEV = "szulev";
     
    private String nev;
    private int szulEv;
    private Cim cim;
    private List<Telefon> telefonok = new ArrayList<>();

    public Szemely(String nev, int szulEv, Cim cim) {
        this.nev = nev;
        this.szulEv = szulEv;
        this.cim = cim;
    }
    
    public void telefontVesz(Telefon telefon){
        if(!telefonok.contains(telefon)){
            telefonok.add(telefon);
        }
    }
    
    public JSONObject getAsJSon() {
        JSONObject obj = new JSONObject();
        obj.put(ELNEVEZES_NEV, this.nev);
        obj.put(SZUL_EV_NEV, this.szulEv);
        obj.put(Cim.CSOMOPONT_NEV, this.cim.getAsJSon());
        JSONArray telok = new JSONArray();
        for (Telefon telefon : telefonok) {
            telok.put(telefon.getAsJson());
        }

        obj.put(Telefon.CSOMOPONT_NEV, telok);
        return obj;
    }

    @Override
    public String toString() {
        return "A szemely neve:" + nev + 
               "\n        szuletési éve: " + szulEv + 
               "\n        cime: " + cim + 
               "\n        telefonok: " + telefonok;
    }
    
    
}
