/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package mavenjson;

import java.util.Optional;
import org.json.JSONObject;

/**
 *
 * @author :)
 */
public class Telefon {

    public final static String CSOMOPONT_NEV = "telefonszam";
    public final static String TIPUS_NEV = "tipus";
    public final static String SZAM_NEV = "szam";

    public final static String VONALAS_NEV = "vonalas";
    public final static String MOBIL_NEV = "mobil";
    public final static String ISMERETLEN_NEV = "ismeretlen";

    public enum TelefonTipus {
        VONALAS() {
            @Override
            public String toString() {
                return VONALAS_NEV;
            }
        },
        MOBIL() {
            @Override
            public String toString() {
                return MOBIL_NEV;
            }
        },
        ISMERETLEN() {
            @Override
            public String toString() {
                return ISMERETLEN_NEV;
            }
        };
    }

    private TelefonTipus telefonTipus;
    private String telefonSzam;

    public Telefon(TelefonTipus telefonTipus, String telefonSzam) {
        this.telefonTipus = telefonTipus;
        this.telefonSzam = telefonSzam;
    }

    public JSONObject getAsJson() {
        JSONObject obj = new JSONObject();
        obj.put(TIPUS_NEV, this.telefonTipus.toString());
        obj.put(SZAM_NEV, this.telefonSzam);
        return obj;
    }

    public static TelefonTipus tipusAzElnevezesAlapjan(String str) {
        switch (str.toLowerCase()) {
            case VONALAS_NEV:
                return TelefonTipus.VONALAS;
            case MOBIL_NEV:
                return TelefonTipus.MOBIL;
            default:
                return TelefonTipus.ISMERETLEN;
        }
    }

    public Optional<Telefon> opcionalis() {
        return TIPUS_NEV.equals(ISMERETLEN_NEV) || telefonSzam == null || telefonSzam.isEmpty()
                ? Optional.empty()
                : Optional.of(this);
    }
    
    @Override
    public String toString() {
        return "Telefon: " + telefonTipus + ": " + telefonSzam;
    }
    
    public TelefonTipus getTelefonTipus() {
        return telefonTipus;
    }

    public String getTelefonSzam() {
        return telefonSzam;
    }      

}
